      subroutine ginifft(n)
      implicit double precision (a-h,o-z)
********** Initialization for Gauss-transform *** n <= 2048 !
      common /wsave/wsave(6168)
      call cosqi(n+1,wsave)
      return
      end
